#! /usr/bin/perl 

### This script is part of Debiandoc2docbookxml

use SGMLS;
use SGMLS::Output;

@element_vide = qw(ref manref url toc);

sgml('start_element', sub {
    my $sentinelle=0;
    my $element=shift;
    if( $element->name eq 'DEBIANDOC'){
        output "<".lc($element->name).">\n";}
else{
    my @attri_defini = $element->attribute_names();
    output "<" . lc($element->name);
    foreach $nom_attribut (@attri_defini){
	## un element vide ?
           foreach $element_vide (@element_vide){
             if ( $element_vide eq lc($element->name)){
                   $sentinelle=1;}
                                         }

        my $valeur = $element->attribute($nom_attribut);
          if ($valeur->value() =~ /[a-zA-Z0-9]/){
	    output " " . lc($nom_attribut).'="'.lc($valeur->value()) .'"';}
                                         }

    if ( $sentinelle==1){
    output "/>\n";}
else { output ">\n";
     }
  }
});

sgml('end_element', sub {
    my $element=shift;
    my $sentinelle=0;
foreach $element_vide (@element_vide){
if ( $element_vide eq lc($element->name)){
     $sentinelle=1;}
                                     }
    if ($sentinelle!=1){
        output "</" . lc($element->name) . ">\n";}

});

sgml('cdata', sub {
    my $cdata=shift;
    output ($cdata);
});

sgml('sdata', sub {
     my $sdata=shift;
     $sdata=~s/^\[//;
     $sdata=~s/\s*\]//;
output ('&' .$sdata .';');
 });


